WordPress.org

Ready to get started?Download WordPress

Forums

Edge Suite
[resolved] Javascript Error [Javascript error in event handler! Event Type = timeline] (9 posts)

  1. sheepzilla
    Member
    Posted 1 year ago #

    Hi

    Great plugin, saved me a ton of time which is much appreciated.

    I'm getting an error in console and the animations aren't playing. The error is: "Javascript error in event handler! Event Type = timeline". The html output from edge works without any issue, any idea as to what might be causing this.

    Also is there a way to stop the jQuery library from being loaded, I've had to manually update the edge_preload.js files to remove it.

    Thanks,

    Matt

    http://wordpress.org/extend/plugins/edge-suite/

  2. ti2m
    Member
    Plugin Author

    Posted 1 year ago #

    Hi,
    do you run edge suite alongside any other jQuery modules like sliders or whatnot? If so try the jQuery no conflict mode of edge suite or disable the other plugins for testing.

    Is the site online somehwere, then I can take a look.

  3. sheepzilla
    Member
    Posted 1 year ago #

    Hey, Thanks for the quick response.

    Unfortunately, it's being developed locally right now. There are a bunch of jQuery plugins being used for a number of things I may attempt to disable everything but that will be a lot of work at this point.

    I was actually able to get an animation working, just not the one I need to work, this leads me to think that the issue is with the animation. Still not sure where to look, and I can't seem to find any similar posts on this type of error. :(

    Thanks,

    Matt

  4. ti2m
    Member
    Plugin Author

    Posted 1 year ago #

    If you sent me the OAM to edge@timm-jansen.de then I can throw it in my local installation and give it a test run. Otherwise you might want to check the Adobe Edge Animate forum. Does the animation work on its own?

  5. sheepzilla
    Member
    Posted 1 year ago #

    The animation works on its own, but not when I use it in WP. I've sent you the OAM.

    Thanks!

  6. ti2m
    Member
    Plugin Author

    Posted 1 year ago #

    I just tested it, but when I extract the OAM and run the animation on its own it throws the same error. This doesn't seem to be wordpress related.

  7. sheepzilla
    Member
    Posted 1 year ago #

    Hmm, interesting.. I don't know why I don't see that.. Thanks for testing it out, I'll investigate further on my own.

    Thanks

  8. sheepzilla
    Member
    Posted 1 year ago #

    I don't know how to extract the OAM, Google hasn't been very helpful. If you don't mind, can you briefly list the steps you took to see the error.

    I'm also looking in the adobe edge forums, but there really isn't much in regards to debugging errors..

  9. sheepzilla
    Member
    Posted 1 year ago #

    So it appears that edge is just picky. I see no reason why but after making some very minor animation updates and exporting a new OAM it now works.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic